[![Build Status](https://img.shields.io/travis/AntiPhotonltd/ssl_info/master.svg)](https://travis-ci.org/AntiPhotonltd/ssl_info)
[![Software License](https://img.shields.io/badge/license-MIT-blue.svg)](LICENSE.md)
[![Release](https://img.shields.io/github/release/AntiPhotonltd/ssl_info.svg)](https://github.com/AntiPhotonltd/ssl_info/releases/latest)
[![Gem Version](https://badge.fury.io/rb/ssl_info.svg)](https://badge.fury.io/rb/ssl_info)
[![Github commits (since latest release)](https://img.shields.io/github/commits-since/AntiPhotonltd/ssl_info/latest.svg)](https://github.com/AntiPhotonltd/ssl_info/commits)
[![GitHub repo size in bytes](https://img.shields.io/github/repo-size/AntiPhotonltd/ssl_info.svg)](https://github.com/AntiPhotonltd/ssl_info)
[![GitHub contributors](https://img.shields.io/github/contributors/AntiPhotonltd/ssl_info.svg)](https://github.com/AntiPhotonltd/ssl_info)

# SSL Info

This is a simple little gem for retreiving SSL certificate information.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'ssl_info'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install ssl_info

## Usage

```ruby
SSLInfo.get_cert("www.antiphoton.com")
SSLInfo.display_cert

printf("Raw Cert: #{SSLInfo.cert}\n")
printf("Subject: #{SSLInfo.subject}\n")
printf("Issuer: #{SSLInfo.issuer}\n")
printf("Serial: #{SSLInfo.serial}\n")
printf("Common Name: #{SSLInfo.common_name}\n")
printf("Issued: #{SSLInfo.not_before}\n")
printf("Expires: #{SSLInfo.not_after}\n")
printf("Expires In: #{SSLInfo.expires_in} days\n")
```

> You can add an optional port to the domain name.

```ruby
SSLInfo.get_cert("www.antiphoton.com:8080")
SSLInfo.display_cert
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Testing

For local testing make sure that you run `bundle exec rspec spec` and then `rake install` to install the gem locally.

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/AntiPhotonltd/ssl_info. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the SSLInfo project’s codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/AntiPhotonltd/ssl_info/blob/master/CODE_OF_CONDUCT.md).
